Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class AnnotatedFieldInjectorTestCase

    java.lang.Object
      org.picocontainer.injectors.AnnotatedFieldInjectorTestCase

    public class AnnotatedFieldInjectorTestCase

extends Object

Nested Class Summary
`static class` | `AnnotatedFieldInjectorTestCase.A`
`static class` | `AnnotatedFieldInjectorTestCase.A2`
`static interface` | `AnnotatedFieldInjectorTestCase.AlternativeInject`
`static class` | `AnnotatedFieldInjectorTestCase.B`
`static class` | `AnnotatedFieldInjectorTestCase.B2`
`static class` | `AnnotatedFieldInjectorTestCase.C`
`static class` | `AnnotatedFieldInjectorTestCase.C2`
`static class` | `AnnotatedFieldInjectorTestCase.D2`
`static class` | `AnnotatedFieldInjectorTestCase.Helicopter`
`static class` | `AnnotatedFieldInjectorTestCase.Helicopter2`
`static class` | `AnnotatedFieldInjectorTestCase.Helicopter3`
`static class` | `AnnotatedFieldInjectorTestCase.PogoStick`

Constructor Summary
`AnnotatedFieldInjectorTestCase()`

Method Summary
`void` | `testFieldDeosNotHappenWithoutRightInjectorDoesNotWork()`
`void` | `testFieldInjection()`
`void` | `testFieldInjectionWithAlternativeInjectionAnnotation()`
`void` | `testFieldInjectionWithoutAnnotationDoesNotWork()`
`void` | `testThatEvenMoreSuperClassCanHaveAnnotatedFields()`
`void` | `testThatEvenMoreSuperClassCanHaveAnnotatedFieldsViaAdaptingInjection()`
`void` | `testThatSuperClassCanHaveAnnotatedFields()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedFieldInjectorTestCase

    public AnnotatedFieldInjectorTestCase()

Method Detail

### testFieldInjection

    public void testFieldInjection()

### testFieldInjectionWithoutAnnotationDoesNotWork

    public void testFieldInjectionWithoutAnnotationDoesNotWork()

### testFieldDeosNotHappenWithoutRightInjectorDoesNotWork

    public void testFieldDeosNotHappenWithoutRightInjectorDoesNotWork()

### testFieldInjectionWithAlternativeInjectionAnnotation

    public void testFieldInjectionWithAlternativeInjectionAnnotation()

### testThatSuperClassCanHaveAnnotatedFields

    public void testThatSuperClassCanHaveAnnotatedFields()

### testThatEvenMoreSuperClassCanHaveAnnotatedFields

    public void testThatEvenMoreSuperClassCanHaveAnnotatedFields()

### testThatEvenMoreSuperClassCanHaveAnnotatedFieldsViaAdaptingInjection

    public void testThatEvenMoreSuperClassCanHaveAnnotatedFieldsViaAdaptingInjection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.